Bug 1251789 - Fedora 22 liveusb-creator not detecting removable devices
Fedora 22 liveusb-creator not detecting removable devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
22
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-09 20:21 EDT by Jorge Labayru Vergara
Modified: 2016-09-19 22:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: liveusb-creator-3.93.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-26 12:35:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jorge Labayru Vergara 2015-08-09 20:21:07 EDT
Description of problem:

I have a USB key plugged in.  It has a random iso, it shows up in the kernel and can be mounted, however cant be selected as Target Device in liveusb-creator:


How reproducible:

100%

Steps to Reproduce:

dmesg, usb key detected:

  919.337542] usb 4-1.5: new high-speed USB device number 4 using ehci-pci
[  919.430732] usb 4-1.5: New USB device found, idVendor=058f, idProduct=6387
[  919.430736] usb 4-1.5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  919.430738] usb 4-1.5: Product: Mass Storage
[  919.430739] usb 4-1.5: Manufacturer: Generic
[  919.430740] usb 4-1.5: SerialNumber: 70B7A01F
[  919.431142] usb-storage 4-1.5:1.0: USB Mass Storage device detected
[  919.431486] scsi host7: usb-storage 4-1.5:1.0


Device:

[root@randomhero ~]# ll /dev/sdb*
brw-rw---- 1 root disk 8, 16 Aug  9 21:14 /dev/sdb

[root@randomhero ~]# mount /dev/sdb /mnt/iso/
mount: /dev/sdb is write-protected, mounting read-only
[root@randomhero ~]# cd /mnt/iso/
[root@randomhero iso]# ls
EFI                       RELEASE-NOTES-kn-IN.html
EULA                      RELEASE-NOTES-ko-KR.html
GPL                       RELEASE-NOTES-ml-IN.html
HighAvailability          RELEASE-NOTES-mr-IN.html
images                    RELEASE-NOTES-or-IN.html
isolinux                  RELEASE-NOTES-pa-IN.html
LoadBalancer              RELEASE-NOTES-pt-BR.html
media.repo                RELEASE-NOTES-ru-RU.html
Packages                  RELEASE-NOTES-si-LK.html
README                    RELEASE-NOTES-ta-IN.html
RELEASE-NOTES-as-IN.html  RELEASE-NOTES-te-IN.html
RELEASE-NOTES-bn-IN.html  RELEASE-NOTES-zh-CN.html
RELEASE-NOTES-de-DE.html  RELEASE-NOTES-zh-TW.html
RELEASE-NOTES-en-US.html  repodata
RELEASE-NOTES-es-ES.html  ResilientStorage
RELEASE-NOTES-fr-FR.html  RPM-GPG-KEY-redhat-beta
RELEASE-NOTES-gu-IN.html  RPM-GPG-KEY-redhat-release
RELEASE-NOTES-hi-IN.html  ScalableFileSystem
RELEASE-NOTES-it-IT.html  Server
RELEASE-NOTES-ja-JP.html  TRANS.TBL


[root@randomhero ~]# sestatus
SELinux status:                 disabled

liveusb-creator version#
liveusb-creator-3.14.2-1.fc22.noarch
Comment 1 Fedora Update System 2016-04-22 13:07:36 EDT
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c
Comment 2 Fedora Update System 2016-04-22 13:07:59 EDT
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c
Comment 3 Fedora Update System 2016-04-23 21:25:50 EDT
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c
Comment 4 Fedora Update System 2016-04-26 04:14:19 EDT
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c
Comment 5 Fedora Update System 2016-04-26 12:24:15 EDT
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c
Comment 6 Fedora Update System 2016-04-26 12:33:51 EDT
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.